Package org.apache.wiki.auth

## Class WikiSecurityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.wiki.api.exceptions.WikiException
      - - org.apache.wiki.auth.WikiSecurityException

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `NoSuchPrincipalException`

    public class WikiSecurityException
    extends WikiException

Indicates an authentication or authorization error or exception.

Since:
  2.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
`WikiSecurityException​(java.lang.String msg)` Constructs an exception.
`WikiSecurityException​(java.lang.String msg, java.lang.Throwable cause)` Constructs an exception with a supplied cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WikiSecurityException

    public WikiSecurityException​(java.lang.String msg)

Constructs an exception.

Parameters:
  `msg` - the message to supply to the exception

#### WikiSecurityException

    public WikiSecurityException​(java.lang.String msg,
                                 java.lang.Throwable cause)

Constructs an exception with a supplied cause.

Parameters:
  `msg` - the message to supply to the exception
  `cause` - the cause